WIP: migrate to Knot 2.8

32 jobs for knot-28 in 27 seconds (queued for 2 seconds)
Status Job ID Name Coverage
  Build
failed #239462
amd64 linux docker
build:asan:linux:amd64

00:00:22

failed #239461
amd64 linux docker
build:linux:amd64

00:00:21

canceled #239463
amd64 linux docker
build:turris:omnia

00:00:27

canceled #239464
amd64 linux docker allowed to fail
srpm

00:00:24

 
  Test
canceled #239473
amd64 linux docker
deckard:linux:amd64

canceled #239481
privileged
distro:epel-7

canceled #239480
privileged
distro:fedora-29

canceled #239472
docker
doc

canceled #239470
dind
docker:build

canceled #239471
amd64 linux docker
installcheck:linux:amd64

canceled #239474
amd64 linux docker
installcheck:valgrind:linux:amd64

canceled #239467
docker
lint:c

canceled #239468
docker
lint:clang-scan-build

canceled #239466
docker
lint:lua

canceled #239465
amd64 linux docker
lint:pedantic

canceled #239475
docker
osx:build

canceled #239477
amd64 linux docker
pytests:lint

canceled #239478
amd64 linux docker
pytests:run

canceled #239479
amd64 linux docker
respdiff:iter:udp:linux:amd64

canceled #239469
amd64 linux docker
test:linux:amd64

canceled #239476
amd64 linux docker
test:linux:amd64:valgrind

 
  Extended
canceled #239482
amd64 linux docker
pytests:extended

canceled #239483
respdiff
respdiff:fwd-tls6-kresd.udp6

canceled #239484
respdiff
respdiff:fwd-udp6-kresd.udp6

canceled #239488
respdiff
respdiff:fwd-udp6-unbound.tcp6

canceled #239489
respdiff
respdiff:fwd-udp6-unbound.tls6

canceled #239487
respdiff
respdiff:fwd-udp6-unbound.udp6

canceled #239486
respdiff
respdiff:iter.tls6

canceled #239485
respdiff
respdiff:iter.udp6

canceled #239490
respdiff
resperf:fwd-tls6.udp-asan

canceled #239491
respdiff
resperf:fwd-udp6.udp-asan

canceled #239492
respdiff
resperf:iter.udp-asan

 
Name Stage Failure
failed
build:asan:linux:amd64 Build
[yes] libedit (client)
[yes] libfstrm (modules/dnstap)
[no] libprotobuf-c (modules/dnstap)
[yes] proto-c (modules/dnstap)
[yes] lcov (code coverage)
[yes] luacov (code coverage)

Makefile:130: *** libknot >= 2.8.0 required. Stop.
ERROR: Job failed: exit code 1
failed
build:linux:amd64 Build
[yes] libedit (client)
[yes] libfstrm (modules/dnstap)
[no] libprotobuf-c (modules/dnstap)
[yes] proto-c (modules/dnstap)
[yes] lcov (code coverage)
[yes] luacov (code coverage)

Makefile:130: *** libknot >= 2.8.0 required. Stop.
ERROR: Job failed: exit code 1